// Defines the entry point for the console application.
//


#include <CUnit/CUnit.h>
#include <CUnit/Automated.h>
#include "testGCD.h"

int RunAllTests(void)
{

	CU_pSuite pSuite = NULL;

   /* initialize the CUnit test registry */
   if (CUE_SUCCESS != CU_initialize_registry())
      return CU_get_error();

	pSuite =getGCDSuite();
   /* Run all tests using the CUnit Basic interface */
  
   CU_set_output_filename("GCD");

   CU_automated_run_tests();
   CU_cleanup_registry();
   return CU_get_error();
}


int main(int argc, char* argv[])
{

	return RunAllTests();
}

