/*-------------------------------------------------------------------------*
 * Demonstrates buttom-up testing of the triangle classification example 
 * Using CppUnit test framework
 *-------------------------------------------------------------------------*/


#ifndef __TRIANGLE_TESTS_H_
#define __TRIANGLE_TESTS_H_ 

#include <CUnit/CUnit.h>
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <sys/types.h>

//#include <iso/limits_iso.h>
#include "../TriangleSrc/triangle.h"
#include <CUnit/CUnit.h>

#ifndef INT_MAX
#define INT_MIN         (-2147483647-1) /* min value of an "int" */
#define INT_MAX         2147483647      /* max value of an "int" */
#endif



void validClassification(void);
void invalidClassification(void);
void strToInt(void);
void testCheckTriangle(void);

int TriangleTestSetUp(void);
int TriangleTestTearDown(void);
CU_pSuite getTriangleSuite(void);
#endif __TRIANGLE_TESTS_H_ 
