typedef enum TriangleKind {
  invalidTriangle,
  rectangularTriangle, // two sides perpendicular
  equilateralTriangle, // all sides equal length
  isoscelesTriangle,   // two sides equal length
  scaleneTriangle     // three sides unequal
  //  unknownTriangle   valid triangle but none of the above
} TriangleKind;

#ifndef B_FALSE
typedef int boolean_t;
#define B_FALSE 0
#define B_TRUE 1
#endif

TriangleKind  classifyTriangle(int a, int b, int c);
char* checkTriangle(int argc, char ** argv);
boolean_t stringToInt(char* s, int *a);


