#include <CUnit/CUnit.h>

#include <stdio.h>

int gcd(int a, int b);

void test_gcd() 
{
  CU_ASSERT(gcd(0,0)==1);
  CU_ASSERT(gcd(1,1)==1);
  CU_ASSERT(gcd(6,4)==2);
  CU_ASSERT(gcd(-4,6)==2);
  CU_ASSERT(gcd(-4,-6)==2);
}

struct CU_Suite gcd_suite = {
  CU_TestFunc = test_gcd;
}

int main(int, char*[])
{
  if (CU_initialize_registry() != CUE_SUCCESS) {
    printf("Problems while initializing CU registry\n");
    exit(EXIT_FAILURE);
  }
  CU_pTestRegistry reg = CU_get_registry();
  if (reg==NULL) {
    printf("CU registry is NULL\n");
    exit(EXIT_FAILURE);
  }
  CU_cleanup_registry();
}
