
#include "testGCD.h"


// Registers the fixture into the 'registry'

CU_pSuite getGCDSuite(){
	CU_pSuite pSuite = NULL;
   /* add a suite to the registry */
   pSuite = CU_add_suite("Suite_1", NULL, NULL);
   if (NULL == pSuite) {
      CU_cleanup_registry();
      return NULL;
   }

   /* add the tests to the suite */
   if ((NULL == CU_add_test(pSuite, "sample gcd test case", aSampleGCDTest)))
   {
      CU_cleanup_registry();
      return NULL;
   }
   /* ADD MORE TEST CASES HERE */


   return pSuite;
}


/*-------------------------------------------------------------------------*
 * GCD Test Cases
 *-------------------------------------------------------------------------*/

void aSampleGCDTest(void)
{
  CU_ASSERT_EQUAL(5,computeGCD(10,15));
}

// specify more test cases here


