// IRS.cpp : Defines the entry point for the console application.
//

#include "StdAfx.h"

#include <CUnit/CUnit.h>
#include <CUnit/Automated.h>
#include <testIRS.h>

int RunAllTests(void)
{

	CU_pSuite pSuite = NULL;

   /* initialize the CUnit test registry */
   if (CUE_SUCCESS != CU_initialize_registry())
      return CU_get_error();


  
  pSuite=getIRSSuite();
   CU_set_output_filename("IRSTest");

   CU_automated_run_tests();
   CU_cleanup_registry();
   return CU_get_error();
}


int main(int argc, char* argv[])
{

	return RunAllTests();
}

