
#include <CUnit/CUnit.h>
#include <CUnit/Automated.h>
//#include <CUnit/Basic.h>
#include "testTriangle.h"

int RunAllTests(void)
{

	CU_pSuite pSuite = NULL;

   /* initialize the CUnit test registry */
   if (CUE_SUCCESS != CU_initialize_registry())
      return CU_get_error();

    pSuite=getTriangleSuite();


	
   CU_set_output_filename("TriangleTest");
  CU_list_tests_to_file();
   CU_automated_run_tests();

   /* Run all tests using the CUnit Basic interface */
   //CU_basic_set_mode(CU_BRM_VERBOSE);
   //CU_basic_run_tests();



   CU_cleanup_registry();
   return CU_get_error();
}


int main(int argc, char* argv[])
{

	return RunAllTests();
}

